%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
%global jasperjdtversion 7.0.0.Beta8

Name:          jbossweb
Version:       7.0.1
Release:       %mkrel 1
Summary:       JBoss Web Server based on Apache Tomcat
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/jbossweb/
# svn export http://anonsvn.jboss.org/repos/jbossweb/tags/JBOSSWEB_7_0_1_FINAL/ jbossweb-7.0.1.Final
# tar czf jbossweb-7.0.1.Final-src-svn.tar.gz jbossweb-7.0.1.Final
Source0:       %{name}-%{namedversion}-src-svn.tar.gz
BuildRequires: ant
BuildRequires: ecj
BuildRequires: java-devel
BuildRequires: jpackage-utils

Requires:      ecj
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
JBoss Web Server is an enterprise ready web server designed for medium
and large applications, based on the Apache Tomcat. It is meant to be
used as a replacement for the standard Web servers on all major
platforms. JBoss Web Server provides organizations with a single
deployment platform for Java Server Pages (JSP) and Java Servlet
technologies, Microsoft .NET, PHP, and CGI. It uses a genuine high
performance hybrid technology that incorporates the best of the most
recent OS technologies for processing high volume data, while keeping
all the reference Java specifications. It supports both in and out of
the process execution of CGI and PHP scripts, aas well as .NET
applications. The hybrid technology model offers the best from
threading and event processing models, and that makes the JBoss Web
Server one of the fastest and most scalable web servers in the market.

%prep
%setup -q -n %{name}-%{namedversion}
for f in $(find . -name "*.?ar"); do rm $f; done
find . -name "*.class" -exec rm {} \;

%build
ant \
  -Dant.build.javac.source=1.5 \
  -Dant.build.javac.target=1.5 \
  -Djasper-jdt.jar=$(build-classpath ecj)

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -pm 644 output/jars/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
sed -i "s|@VERSION@|%{namedversion}|" res/jbossweb-pom.xml
#sed -i "s|@VERSION@|%{jasperjdtversion}|" res/jasper-jdt-pom.xml
install -pm 644 res/jbossweb-pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_to_maven_depmap org.jboss.web %{name} %{namedversion} JPP jboss/%{name}
#install -pm 644 res/jasper-jdt-pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}-ecj.pom
#add_to_maven_depmap org.jboss.web jasper-jdt %{jasperjdtversion} JPP ecj

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE RELEASE-NOTES


%changelog
* Mon Aug 01 2011 dmorgan <dmorgan> 7.0.1-1.mga2
+ Revision: 131223
- Clean spec file

  + gil <gil>
    - imported package jbossweb

